summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/elastic-transport/Manifest1
-rw-r--r--dev-python/elastic-transport/elastic-transport-8.17.1.ebuild63
-rw-r--r--dev-python/google-api-python-client/Manifest1
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.164.0.ebuild50
-rw-r--r--dev-python/lmfit/Manifest1
-rw-r--r--dev-python/lmfit/lmfit-1.3.3.ebuild38
-rw-r--r--dev-python/lxml/Manifest1
-rw-r--r--dev-python/lxml/lxml-5.3.0.ebuild119
-rw-r--r--dev-python/opentelemetry-api/Manifest1
-rw-r--r--dev-python/opentelemetry-api/opentelemetry-api-1.31.0.ebuild61
-rw-r--r--dev-python/opentelemetry-sdk/Manifest1
-rw-r--r--dev-python/opentelemetry-sdk/opentelemetry-sdk-1.31.0.ebuild62
-rw-r--r--dev-python/opentelemetry-semantic-conventions/Manifest1
-rw-r--r--dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.31.0.ebuild52
-rw-r--r--dev-python/pbs-installer/Manifest2
-rw-r--r--dev-python/pbs-installer/pbs-installer-2025.03.11.ebuild (renamed from dev-python/pbs-installer/pbs-installer-2025.02.05.ebuild)0
-rw-r--r--dev-python/psycopg/Manifest1
-rw-r--r--dev-python/psycopg/psycopg-3.2.6.ebuild111
-rw-r--r--dev-python/pytest-xvfb/Manifest1
-rw-r--r--dev-python/pytest-xvfb/pytest-xvfb-3.1.1.ebuild30
-rw-r--r--dev-python/pyzmq/Manifest1
-rw-r--r--dev-python/pyzmq/pyzmq-26.3.0.ebuild87
-rw-r--r--dev-python/segno/Manifest1
-rw-r--r--dev-python/segno/segno-1.6.6.ebuild34
-rw-r--r--dev-python/types-setuptools/Manifest1
-rw-r--r--dev-python/types-setuptools/types-setuptools-76.0.0.20250313.ebuild16
-rw-r--r--dev-python/wrapt/Manifest2
-rw-r--r--dev-python/wrapt/wrapt-1.17.0.ebuild40
-rw-r--r--dev-python/wrapt/wrapt-1.17.1.ebuild40
29 files changed, 616 insertions, 203 deletions
diff --git a/dev-python/elastic-transport/Manifest b/dev-python/elastic-transport/Manifest
index 6a659dc94947..437505363b70 100644
--- a/dev-python/elastic-transport/Manifest
+++ b/dev-python/elastic-transport/Manifest
@@ -1 +1,2 @@
DIST elastic-transport-python-8.17.0.gh.tar.gz 77173 BLAKE2B 30b94a7cb4ce7a59278d65525c8c1dcefe86c2f2c69f0536996de505d7b180b966165562a07bd391b975161b89641fe4a101f43931b8f2f6fd95fca4755b14fd SHA512 88c0ff27109b0450317b7e895d10b0e4b1a48643b17a01b787efbe2f058fd46e28a13ac28979d0fea3c9016610ebefc75bcef37777f36fd3c39270b20811511d
+DIST elastic-transport-python-8.17.1.gh.tar.gz 77401 BLAKE2B 1660de0e941c2b387d97a1c3ce5f95b27c6219e46bf63a2cfa770a2c728b7d735c4289dbb0b758b06a9df54000fcc6b89afb906b3828e4b671a0e932884bc85d SHA512 631a9dd65ea0ea5d42de258d97b5b9582eb68a73712f6c1bcc2948c3d6198808ec68ef8a81f08dbe62b7ae1947440ea01c7303ee6e1d5dc6cd00b42373191e4d
diff --git a/dev-python/elastic-transport/elastic-transport-8.17.1.ebuild b/dev-python/elastic-transport/elastic-transport-8.17.1.ebuild
new file mode 100644
index 000000000000..61a02f601f07
--- /dev/null
+++ b/dev-python/elastic-transport/elastic-transport-8.17.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P=elastic-transport-python-${PV}
+DESCRIPTION="Transport classes and utilities shared among Python Elastic client libraries"
+HOMEPAGE="
+ https://github.com/elastic/elastic-transport-python/
+ https://pypi.org/project/elastic-transport/
+"
+SRC_URI="
+ https://github.com/elastic/elastic-transport-python/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+PROPERTIES="test_network"
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.26.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/opentelemetry-api[${PYTHON_USEDEP}]
+ dev-python/opentelemetry-sdk[${PYTHON_USEDEP}]
+ dev-python/orjson[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/respx[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/sphinx \
+ dev-python/furo \
+ dev-python/sphinx-autodoc-typehints
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # fragile to random warnings
+ tests/node/test_http_aiohttp.py::TestAiohttpHttpNode::test_uses_https_if_verify_certs_is_off
+ tests/node/test_urllib3_chain_certs.py::test_assert_fingerprint_in_cert_chain
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -o addopts=
+}
diff --git a/dev-python/google-api-python-client/Manifest b/dev-python/google-api-python-client/Manifest
index 5403a60570a6..281d4ad9680f 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -1,3 +1,4 @@
DIST google_api_python_client-2.161.0.tar.gz 12358839 BLAKE2B b7537f29c078adc2a2a0b89da52acc9fe53db4ecae742f367019ef780951d668f8ff7e6390fd417644bdae2ab97f472b99f3472d642382b3341f5894de477cad SHA512 19fd8cf49d96fba19381a9ca891ee53cf521ff9fb3103c6f1f22207ab6e7d0dd0de445d5f96d9d6a7d464139a9c38052bdaf4878fbacf9d64fa97006f1ea6da5
DIST google_api_python_client-2.162.0.tar.gz 12562719 BLAKE2B b011064f127a6d8f131121b3776b554551e39aadea780e3357194cf90877b5b1711d91b6cdf56fa0118b96f371216d443b66a284c04a9cda8af7d9bf3687932c SHA512 15febe68247e1cb6722c4c509b9f31f879cb058110b46297d4db6df8533fca4bc095ac8f3e7faddff2a32749e44e356179e7f99085592dd5e218b41981364f6a
DIST google_api_python_client-2.163.0.tar.gz 12588615 BLAKE2B bb586205a1567e6792dcf336c69c4c357bd22b06ebe172bc5e07a96ca1c8246483d44201546ebbf1fec4239210759e20eed332f44be5e842bc6b9b050d4190a0 SHA512 993f173fd6366b03b57944b44fdf5ef74815789ced2585211dba06c8ca41c37e5bbfa1582e4ed4944a3cc5bc65cce2f043eeae68a0e6832460f3f7f6941639f9
+DIST google_api_python_client-2.164.0.tar.gz 12595711 BLAKE2B deea81a5cca626ab775daf381583d36cc7c2d58775db4e0741b812ce63cdbb4930f20320d84fd715925767ef0555ca93554578052d295df408e3620b998ae567 SHA512 43524613d65d6ebf60d6bf65654b66e7173faf1026a0f6c0ffea36d55c4e33fa5da595d2e3eb7ee7c00353ac963b5a51c958c83206809bcdc6a5a6bc13340d26
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.164.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.164.0.ebuild
new file mode 100644
index 000000000000..b2220fafe3ef
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.164.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="
+ https://github.com/googleapis/google-api-python-client/
+ https://pypi.org/project/google-api-python-client/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ >=dev-python/google-api-core-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ tests/test_discovery.py::Universe::test_client_options_universe_configured_with_mtls
+ tests/test_discovery.py::Universe::test_universe_env_var_configured_with_mtls
+ )
+
+ epytest tests
+}
diff --git a/dev-python/lmfit/Manifest b/dev-python/lmfit/Manifest
index 9cfa98af0dd0..acff0a66d8b8 100644
--- a/dev-python/lmfit/Manifest
+++ b/dev-python/lmfit/Manifest
@@ -1,2 +1,3 @@
DIST lmfit-1.3.1.tar.gz 629917 BLAKE2B 6cb5f478bf0b31ce6fe6ccfc97d216fae63f8efa159b30151896254352d3d0e1667d276101f93d357a0dabc39462bd110f115ff6e89c18739c1728f089f54d89 SHA512 b6766224ecd4c75e09a935ab86041852f22491870191c6b6b8cc0e5a873e7c69cb6f11517afa987289c63fb249a8ceef7c336e1c7c4e19d33a2e1bc04fbe6aa6
DIST lmfit-1.3.2.tar.gz 623945 BLAKE2B aa2f1a98a842199271c09297d1399fdc408c58114e67324503151e7701c7176e6b03d218d668d6bf002c0ad61474e18d11edbdacfb4b621533b8f958d0f2026d SHA512 2dbba258aa14bd9bdb032cfe93086e207da5398137a06031aa1f09a0f9c35636e89488ed1bd348cdc2a5ea140df839f5cb414d9d208ac7ddda5f7f11d0c058d4
+DIST lmfit-1.3.3.tar.gz 632645 BLAKE2B 9a8634a92e20a113ae5d5907ff223fc083716d2a5ca07a37dbc4c47963a0af91369721557b8a95df377c098e75b269c2bbea054e9ad35d6574d04b3f996ee1a0 SHA512 d81f950b3f4f4f25f3e814e063925f6f92d3ff1b05ee23bf0d89fd23be993ed34122b8db2b1376481cbe93243facb1de9437268c2bb99c97d9421af5b8443de7
diff --git a/dev-python/lmfit/lmfit-1.3.3.ebuild b/dev-python/lmfit/lmfit-1.3.3.ebuild
new file mode 100644
index 000000000000..d68e41272407
--- /dev/null
+++ b/dev-python/lmfit/lmfit-1.3.3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Non-Linear Least-Squares Minimization and Curve-Fitting for Python"
+HOMEPAGE="
+ https://lmfit.github.io/lmfit-py/
+ https://github.com/lmfit/lmfit-py/
+ https://pypi.org/project/lmfit/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/asteval-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/dill-0.3.4[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.24[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/uncertainties-3.2.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-scm-6.2[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts=
+}
diff --git a/dev-python/lxml/Manifest b/dev-python/lxml/Manifest
index 73e2f4a79480..70121184a0db 100644
--- a/dev-python/lxml/Manifest
+++ b/dev-python/lxml/Manifest
@@ -1,2 +1 @@
-DIST lxml-5.3.0.gh.tar.gz 951199 BLAKE2B 8317179c524856593b323f665c288ddddd8af7e716e1ddf1222a857c8466cfc62a6c20b21744ca418f809a3c8492216c5c9c38cfa62f2e7d51daea7343b6810b SHA512 514477bf4c865541233d73f20de816b51d265dbd75c56a0d13779e14527c73e85ca890718d06c08728da228d410459016e9cb8abdad4d03b44a81a04a198fb54
DIST lxml-5.3.1.gh.tar.gz 951340 BLAKE2B e73cc8513cfe42d163b8475788472f00f2f3492deb7536b6556ed4f14924ffe57497947e660a161ec5a0821135b3d103799c0da0b9c647ccdcbfa9b0c5d6a1d9 SHA512 e89ada765791b67e4e83a9151c500f2e8d924c05d421a46bece1183666fc566d545d2e6b62987075e82cbafb8cd4b1f48f6f94e9ebcc0bbd7227d687b2282794
diff --git a/dev-python/lxml/lxml-5.3.0.ebuild b/dev-python/lxml/lxml-5.3.0.ebuild
deleted file mode 100644
index c3808e47ee9c..000000000000
--- a/dev-python/lxml/lxml-5.3.0.ebuild
+++ /dev/null
@@ -1,119 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
-
-inherit distutils-r1 optfeature toolchain-funcs
-
-DESCRIPTION="A Pythonic binding for the libxml2 and libxslt libraries"
-HOMEPAGE="
- https://lxml.de/
- https://pypi.org/project/lxml/
- https://github.com/lxml/lxml/
-"
-SRC_URI="
- https://github.com/lxml/lxml/archive/${P}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S=${WORKDIR}/lxml-${P}
-
-LICENSE="BSD ElementTree GPL-2 PSF-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
-IUSE="doc examples +threads test"
-RESTRICT="!test? ( test )"
-
-# Note: lib{xml2,xslt} are used as C libraries, not Python modules.
-DEPEND="
- >=dev-libs/libxml2-2.10.3
- >=dev-libs/libxslt-1.1.38
-"
-RDEPEND="
- ${DEPEND}
-"
-BDEPEND="
- virtual/pkgconfig
- >=dev-python/cython-3.0.10[${PYTHON_USEDEP}]
- doc? (
- $(python_gen_any_dep '
- dev-python/docutils[${PYTHON_USEDEP}]
- dev-python/pygments[${PYTHON_USEDEP}]
- dev-python/sphinx[${PYTHON_USEDEP}]
- dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
- ')
- )
- test? (
- dev-python/cssselect[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}/${PN}-5.3.0-pypy.patch"
-)
-
-python_check_deps() {
- use doc || return 0
- python_has_version -b "dev-python/docutils[${PYTHON_USEDEP}]" &&
- python_has_version -b "dev-python/pygments[${PYTHON_USEDEP}]" &&
- python_has_version -b "dev-python/sphinx[${PYTHON_USEDEP}]" &&
- python_has_version -b "dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]"
-}
-
-python_prepare_all() {
- # don't use some random SDK on Darwin
- sed -i -e '/_ldflags =/s/=.*isysroot.*darwin.*None/= None/' \
- setupinfo.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_compile() {
- local DISTUTILS_ARGS=(
- # by default it adds -w to CFLAGS
- --warnings
- )
- tc-export PKG_CONFIG
- distutils-r1_python_compile
-}
-
-python_compile_all() {
- use doc && emake html
-}
-
-python_test() {
- local dir=${BUILD_DIR}/test$(python_get_sitedir)/lxml
- local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
-
- cp -al "${BUILD_DIR}"/{install,test} || die
- cp -al src/lxml/tests "${dir}/" || die
- cp -al src/lxml/html/tests "${dir}/html/" || die
- mkdir "${dir}"/../../doc || die
- # this one needs to be copied, because upstream uses doc/../../../doc
- cp -r "${S}"/doc "${dir}"/../../ || die
- ln -s "${S}"/doc "${dir}"/../../../../ || die
-
- "${EPYTHON}" test.py --no-src -vv --all-levels -p ||
- die "Tests fail on ${EPYTHON}"
-}
-
-python_install_all() {
- if use doc; then
- local DOCS=( README.rst *.txt doc/*.txt )
- local HTML_DOCS=( doc/html/. )
- fi
- if use examples; then
- dodoc -r samples
- fi
-
- distutils-r1_python_install_all
-}
-
-pkg_postinst() {
- optfeature "Support for BeautifulSoup as a parser backend" dev-python/beautifulsoup4
- optfeature "Translates CSS selectors to XPath 1.0 expressions" dev-python/cssselect
- optfeature "Support for lxml.html.clean sanitizer" dev-python/lxml-html-clean
-}
diff --git a/dev-python/opentelemetry-api/Manifest b/dev-python/opentelemetry-api/Manifest
index 3e114aba3a70..e9d988b09d7e 100644
--- a/dev-python/opentelemetry-api/Manifest
+++ b/dev-python/opentelemetry-api/Manifest
@@ -1 +1,2 @@
DIST opentelemetry-python-1.30.0.gh.tar.gz 1189401 BLAKE2B 10a52a24625ee80f0b68e7fad05f770098be75c21ccf0230a786a1ffc4b3fb23daf251dc129bab840d22ff2ac9a6bab1c84e55c644abcd1b475dc7a5872447a5 SHA512 cd74100aa60639b3722f2747bd19dae42bffbfca4007837a6cf8db61a408c59601064c9718782b9f6ebeee7a30a454e03a09950b2b00845d642f6452a894674b
+DIST opentelemetry-python-1.31.0.gh.tar.gz 1224355 BLAKE2B 050149fa7c0c445556d184f921209b59b6e4e5aea225bbb315b781b0f4a95892385aeaae6f385f1fee8ef412981ce92b17e65d4dcd863622c22d027705a23890 SHA512 d69d9c8f6fee0e39c37e92fbf1df14e903b8165e07933fd6d2a70d510b373f8ca70f9b69a12ac6d8863013e87ac2753d07aebb336bec49d1c7a555dc62c15129
diff --git a/dev-python/opentelemetry-api/opentelemetry-api-1.31.0.ebuild b/dev-python/opentelemetry-api/opentelemetry-api-1.31.0.ebuild
new file mode 100644
index 000000000000..0d91042ac109
--- /dev/null
+++ b/dev-python/opentelemetry-api/opentelemetry-api-1.31.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P="opentelemetry-python-${PV}"
+DESCRIPTION="OpenTelemetry Python API"
+HOMEPAGE="
+ https://opentelemetry.io/
+ https://pypi.org/project/opentelemetry-api/
+ https://github.com/open-telemetry/opentelemetry-python/
+"
+SRC_URI="
+ https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/${PN}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/deprecated-1.2.6[${PYTHON_USEDEP}]
+ dev-python/importlib-metadata[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+
+ # Unnecessary restriction
+ sed -i -e '/importlib-metadata/s:, <= [0-9.]*::' pyproject.toml || die
+}
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ for dep in opentelemetry-semantic-conventions opentelemetry-sdk \
+ tests/opentelemetry-test-utils
+ do
+ pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/opentelemetry-sdk/Manifest b/dev-python/opentelemetry-sdk/Manifest
index 3e114aba3a70..e9d988b09d7e 100644
--- a/dev-python/opentelemetry-sdk/Manifest
+++ b/dev-python/opentelemetry-sdk/Manifest
@@ -1 +1,2 @@
DIST opentelemetry-python-1.30.0.gh.tar.gz 1189401 BLAKE2B 10a52a24625ee80f0b68e7fad05f770098be75c21ccf0230a786a1ffc4b3fb23daf251dc129bab840d22ff2ac9a6bab1c84e55c644abcd1b475dc7a5872447a5 SHA512 cd74100aa60639b3722f2747bd19dae42bffbfca4007837a6cf8db61a408c59601064c9718782b9f6ebeee7a30a454e03a09950b2b00845d642f6452a894674b
+DIST opentelemetry-python-1.31.0.gh.tar.gz 1224355 BLAKE2B 050149fa7c0c445556d184f921209b59b6e4e5aea225bbb315b781b0f4a95892385aeaae6f385f1fee8ef412981ce92b17e65d4dcd863622c22d027705a23890 SHA512 d69d9c8f6fee0e39c37e92fbf1df14e903b8165e07933fd6d2a70d510b373f8ca70f9b69a12ac6d8863013e87ac2753d07aebb336bec49d1c7a555dc62c15129
diff --git a/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.31.0.ebuild b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.31.0.ebuild
new file mode 100644
index 000000000000..0a63f8565793
--- /dev/null
+++ b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.31.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P="opentelemetry-python-${PV}"
+DESCRIPTION="OpenTelemetry Python SDK"
+HOMEPAGE="
+ https://opentelemetry.io/
+ https://pypi.org/project/opentelemetry-sdk/
+ https://github.com/open-telemetry/opentelemetry-python/
+"
+SRC_URI="
+ https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+
+S="${WORKDIR}/${MY_P}/${PN}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ ~dev-python/opentelemetry-api-${PV}[${PYTHON_USEDEP}]
+ ~dev-python/opentelemetry-semantic-conventions-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ )
+"
+
+# Tests cannot handle xdist with high makeopts
+# https://bugs.gentoo.org/928132
+distutils_enable_tests pytest
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ for dep in tests/opentelemetry-test-utils; do
+ pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ local EPYTEST_DESELECT=(
+ # TODO
+ "${PN}"/tests/resources/test_resources.py::TestOTELResourceDetector::test_process_detector
+ "${PN}"/tests/metrics/integration_test/test_console_exporter.py::TestConsoleExporter::test_console_exporter_with_exemplars
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests
+}
diff --git a/dev-python/opentelemetry-semantic-conventions/Manifest b/dev-python/opentelemetry-semantic-conventions/Manifest
index 3e114aba3a70..e9d988b09d7e 100644
--- a/dev-python/opentelemetry-semantic-conventions/Manifest
+++ b/dev-python/opentelemetry-semantic-conventions/Manifest
@@ -1 +1,2 @@
DIST opentelemetry-python-1.30.0.gh.tar.gz 1189401 BLAKE2B 10a52a24625ee80f0b68e7fad05f770098be75c21ccf0230a786a1ffc4b3fb23daf251dc129bab840d22ff2ac9a6bab1c84e55c644abcd1b475dc7a5872447a5 SHA512 cd74100aa60639b3722f2747bd19dae42bffbfca4007837a6cf8db61a408c59601064c9718782b9f6ebeee7a30a454e03a09950b2b00845d642f6452a894674b
+DIST opentelemetry-python-1.31.0.gh.tar.gz 1224355 BLAKE2B 050149fa7c0c445556d184f921209b59b6e4e5aea225bbb315b781b0f4a95892385aeaae6f385f1fee8ef412981ce92b17e65d4dcd863622c22d027705a23890 SHA512 d69d9c8f6fee0e39c37e92fbf1df14e903b8165e07933fd6d2a70d510b373f8ca70f9b69a12ac6d8863013e87ac2753d07aebb336bec49d1c7a555dc62c15129
diff --git a/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.31.0.ebuild b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.31.0.ebuild
new file mode 100644
index 000000000000..4fcd38d97ec6
--- /dev/null
+++ b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.31.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+MY_P="opentelemetry-python-${PV}"
+DESCRIPTION="OpenTelemetry Semantic Conventions"
+HOMEPAGE="
+ https://opentelemetry.io/
+ https://pypi.org/project/opentelemetry-sdk/
+ https://github.com/open-telemetry/opentelemetry-python/
+"
+SRC_URI="
+ https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/${PN}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/deprecated-1.2.6[${PYTHON_USEDEP}]
+ ~dev-python/opentelemetry-api-${PV}[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ for dep in opentelemetry-sdk tests/opentelemetry-test-utils; do
+ pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/pbs-installer/Manifest b/dev-python/pbs-installer/Manifest
index 1414324aee6f..ad8aec634dbd 100644
--- a/dev-python/pbs-installer/Manifest
+++ b/dev-python/pbs-installer/Manifest
@@ -1,2 +1,2 @@
-DIST pbs-installer-2025.02.05.gh.tar.gz 84182 BLAKE2B 1202e066d50228ea32b307449c9bcfabb0d174cc655b831cec9443a94aebbac9123dabb58b02f49a9cd4f813b634ecebd7bcadae2f7967bedae9b152911e3713 SHA512 7075c2083832d294150ff6b5448e5ad4a90da678ab301192d672ef02e5bff872d327e63603aa6d8e283b065b9190d1f46cc73705c71079cab5fa7c80aefc3657
DIST pbs-installer-2025.02.12.gh.tar.gz 84756 BLAKE2B e2b9063f36b0e53877dbf88536194c89a74ea4abaeeecf823caf95d98a680608f1e4b673fde6d528b69e55dc81a9b5533065ea79f3262ba33dd9453d7656fdd8 SHA512 9f342684f4338dd1dd9b409a31d0cf2626d444f3222adbcf9fc93c54e79f8870d07804265a0935c139ae9c5261bed76225fe22aa36d3736fb511a024dc174a91
+DIST pbs-installer-2025.03.11.gh.tar.gz 84837 BLAKE2B 32860346f216907a320881e9107a194870a460f39c51d6a4f4f366119de0717b36a7dbf6a98be99a6aef30212eb48e9e949c1d9ae95642ea7bda34264549cd55 SHA512 5b323d6b1a116516a03843ffcea2e0217c53b7726089ba57f1633dd0072c4217d3d229b32f8a5746f034b54f84be1a0a12bfe3ea6d73ab3fff45c76205230e9f
diff --git a/dev-python/pbs-installer/pbs-installer-2025.02.05.ebuild b/dev-python/pbs-installer/pbs-installer-2025.03.11.ebuild
index 3844530d8280..3844530d8280 100644
--- a/dev-python/pbs-installer/pbs-installer-2025.02.05.ebuild
+++ b/dev-python/pbs-installer/pbs-installer-2025.03.11.ebuild
diff --git a/dev-python/psycopg/Manifest b/dev-python/psycopg/Manifest
index c7dc9481c62b..c1771ba922cd 100644
--- a/dev-python/psycopg/Manifest
+++ b/dev-python/psycopg/Manifest
@@ -3,6 +3,7 @@ DIST psycopg-3.2.2.gh.tar.gz 550226 BLAKE2B 2731190da5b044f16eb0f90fb5417244e46f
DIST psycopg-3.2.3.gh.tar.gz 550802 BLAKE2B 1f748fc2dc915fd82b2bc557ae4263ecf1070d5ba08681cb6ae21570acf601b03a2bde7e4324cd506e0146c86db976b003c57e99cd1948a930c074f0674d6ba8 SHA512 cf543652cfd27cf1cad3b1e3b8b50802562cc49f8fbd9ae5bd85ffdf26e30dc470f1f3380261c8cad418945ade8dc4f199ebcba08968cb87fd0b6c241fd8040d
DIST psycopg-3.2.4.gh.tar.gz 555758 BLAKE2B 1b74f8a6ee91266fb6c6a13ee51fd7d18514b4ce662f911f83baba652bb9198cae21636f6f1dad6eae916cc2c22f2322629dea346e61ce94a1d94a80c8e8b5be SHA512 026f4a74011c37e594903931da629fa0150834db0916bc02a45aa31eb79fbbcd9a0b6b59809d4db389e298101646409097d99c4950981ddb43413a7488e4f1ff
DIST psycopg-3.2.5.gh.tar.gz 558069 BLAKE2B 1913db4e399d9e44e392019471d3b7a5fbbff1da67a87961b084ca2fa34ddf2af3c862093077bfe04503d16187abff4ab62e33b1a3505b7a8cafa836bcf33ba3 SHA512 f4c62e462f6fba04f7b07bf500cbf5ee3e0ffa570c682f507aae0fc5ee88a1eec3f98da05c9a2c957d018f12f53a9567565f8b81914eb36ca92992fa2ccd8156
+DIST psycopg-3.2.6.gh.tar.gz 558574 BLAKE2B a994f6fb3ee85c42371b848d0947858897a9a1f7256486aa964c8c7634b198b9229a53626c526cb85218a8468308dd9e7e605c1fc1058a08c7fb7183aed83b8d SHA512 99472813c9b6542611b15f0dd52d418a7e3f01cf0447a9a58c1d4135249fb526ca25f7569cc5d7d8a2a99184dccca52f485ee9cc9514e6ada1ebd526f8d62305
DIST psycopg2-2.9.10.tar.gz 385672 BLAKE2B 4a3ad64f406c427b785ffeb85f6520aa67ed04de2d1749eb22d8275146b71ba451f7c04c9ead401d6f7a273781492cd6a5a36beba68b36b1e5203ee75f7df503 SHA512 d0916f6a645b5e87f89f2463dc22fad78340a85fbff320d099bf429a42557f40d3a4eebdc670768469aef1e9fcee60123767bfe49e1186e8574f95bfd6f46900
DIST psycopg2-2.9.4.tar.gz 384017 BLAKE2B 4bc0afcc890c8a257c1ccd5c6e4e5301857a80f8b1428aa46c1473c9e18f5d2914a2e592c13336b06106217bb334d9b0321835bdd123f1627cbeb29dedf97bf7 SHA512 259088e42e0ab0d8a1a0ccf04f5e560f32c6179b4a0a0059e91bcf269baa8f4b0f1f949c332c640a2438c927a29b2c144078a861f8e18ba9c764da7c93c73b8d
DIST psycopg2-2.9.9.tar.gz 384926 BLAKE2B 8418fca1329703cedfc86be74d85cae5133a0604bb8a21fa43e5359a46626d38ef227d0cd8fbbeb497e2db517a469d7f3e86b74ef9163617a547e999073a6b4c SHA512 a691fd09762221e854861dedce37b05e5354e0701feea470a6d5046960056ef02a8c9ecfa751adeba485271ea7d5834643b7d3a3c3f3270087f5ed9c68509f5f
diff --git a/dev-python/psycopg/psycopg-3.2.6.ebuild b/dev-python/psycopg/psycopg-3.2.6.ebuild
new file mode 100644
index 000000000000..a7b3f48ff593
--- /dev/null
+++ b/dev-python/psycopg/psycopg-3.2.6.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="PostgreSQL database adapter for Python"
+HOMEPAGE="
+ https://www.psycopg.org/psycopg3/
+ https://github.com/psycopg/psycopg/
+ https://pypi.org/project/psycopg/
+"
+SRC_URI="
+ https://github.com/psycopg/psycopg/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="+native-extensions"
+
+DEPEND="
+ native-extensions? (
+ >=dev-db/postgresql-8.1:=
+ )
+ !native-extensions? (
+ >=dev-db/postgresql-8.1:*
+ )
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ native-extensions? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+ )
+ test? (
+ >=dev-db/postgresql-8.1[server]
+ >=dev-python/anyio-4.0[${PYTHON_USEDEP}]
+ >=dev-python/dnspython-2.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ # Python code + ctypes backend
+ cd psycopg || die
+ distutils-r1_python_compile
+
+ # optional C backend
+ if use native-extensions && [[ ${EPYTHON} != pypy3* ]]; then
+ local DISTUTILS_USE_PEP517=standalone
+ cd ../psycopg_c || die
+ distutils-r1_python_compile
+ fi
+ cd .. || die
+}
+
+src_test() {
+ rm -r psycopg{,_c} || die
+
+ initdb -D "${T}"/pgsql || die
+ # TODO: random port
+ pg_ctl -w -D "${T}"/pgsql start \
+ -o "-h '' -k '${T}'" || die
+ createdb -h "${T}" test || die
+
+ local -x PSYCOPG_TEST_DSN="host=${T} dbname=test"
+ distutils-r1_src_test
+
+ pg_ctl -w -D "${T}"/pgsql stop || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # tests for the psycopg_pool package
+ tests/pool
+ # some broken mypy magic
+ tests/test_module.py::test_version
+ tests/test_module.py::test_version_c
+ tests/test_typing.py
+ tests/crdb/test_typing.py
+ # TODO, relying on undefined ordering in Python?
+ tests/test_dns_srv.py::test_srv
+ )
+
+ local impls=( python )
+ if use native-extensions && [[ ${EPYTHON} != pypy3* ]]; then
+ impls+=( c )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PSYCOPG_IMPL
+ for PSYCOPG_IMPL in "${impls[@]}"; do
+ einfo "Testing with ${PSYCOPG_IMPL} implementation ..."
+ # leak and timing tests are fragile whereas slow tests are slow
+ epytest -p anyio -k "not leak" \
+ -m "not timing and not slow and not flakey"
+ done
+}
diff --git a/dev-python/pytest-xvfb/Manifest b/dev-python/pytest-xvfb/Manifest
index 707a7f4647a3..afd78111f093 100644
--- a/dev-python/pytest-xvfb/Manifest
+++ b/dev-python/pytest-xvfb/Manifest
@@ -1 +1,2 @@
DIST pytest-xvfb-3.0.0.tar.gz 8607 BLAKE2B a1256b121a66c0b778a45f695754363ec241699197000f6237473dc2d54c0eeff499722073b00280ca242d695c192ff4fd985931a42bbb52a0f8e2424867b60a SHA512 9aec1681656badf81fbac3a0d621b163810001e155a1cb8fd35e0f8c8d3ee52556e622adc0468d8e7455b15ba0f5103622fae1aa2493a7053ca78f092e582cf1
+DIST pytest_xvfb-3.1.1.tar.gz 9022 BLAKE2B 22615f066e3e92604416cd0f04c2556ee8807529408e5268826a065a728b18bbe8ace2f540d7c16ad6450dced4c02b50b84da58008040bcabf0cb37883647b0d SHA512 703a8523e6d496d1bddb9dafbc594c180fa5647903cba71a6ab561ba40184d2ce9c54e5b1f3122d14575216e4d55bccef14f0241810f48bb870b2dc410b9f3ab
diff --git a/dev-python/pytest-xvfb/pytest-xvfb-3.1.1.ebuild b/dev-python/pytest-xvfb/pytest-xvfb-3.1.1.ebuild
new file mode 100644
index 000000000000..f90a71481338
--- /dev/null
+++ b/dev-python/pytest-xvfb/pytest-xvfb-3.1.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_REQ_USE="tk"
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pytest plugin to run Xvfb for tests"
+HOMEPAGE="https://github.com/The-Compiler/pytest-xvfb/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pyvirtualdisplay[${PYTHON_USEDEP}]
+ x11-base/xorg-server[xvfb]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_xvfb
+ epytest
+}
diff --git a/dev-python/pyzmq/Manifest b/dev-python/pyzmq/Manifest
index 477ac2b9e596..0ac7e3766289 100644
--- a/dev-python/pyzmq/Manifest
+++ b/dev-python/pyzmq/Manifest
@@ -1 +1,2 @@
DIST pyzmq-26.2.1.gh.tar.gz 279826 BLAKE2B 72ad282e8fd93f8ea9e3f709d748fd89a2a93e4af0f69d807b78654617195fb9b99646084747c617d1648c7ce0da55d01f2cd283eafa86e834df0a97ad578a7f SHA512 d68f8769ebb57e54eb405f9e8a6dda0cef8be912288c1cc9addaf6cd952f1b95029049f8c9300d05abb592b234fdb147f29e4430f1624132bda868b8a3ec8a20
+DIST pyzmq-26.3.0.gh.tar.gz 278127 BLAKE2B baa30f3901a76786933df8ab676a759ea3bf6a863508ea76c66e53e844c8bbb8a445a2b01ac65163af043ca81cc097db6edf3d6e95d92d9f1c134fd29160e403 SHA512 463124f0788b2370de1f3b14fcaeebca29f81f96bf5dbc959c6aef77710ccd5dbf5a68aa436ab3915c18c46367ba2034b5320f49bf9cda2a4c13b528adad212e
diff --git a/dev-python/pyzmq/pyzmq-26.3.0.ebuild b/dev-python/pyzmq/pyzmq-26.3.0.ebuild
new file mode 100644
index 000000000000..654fe46a0dee
--- /dev/null
+++ b/dev-python/pyzmq/pyzmq-26.3.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=scikit-build-core
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Lightweight and super-fast messaging library built on top of the ZeroMQ library"
+HOMEPAGE="
+ https://zeromq.org/languages/python/
+ https://pypi.org/project/pyzmq/
+ https://github.com/zeromq/pyzmq/
+"
+SRC_URI="
+ https://github.com/zeromq/pyzmq/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+IUSE="drafts"
+
+# There are additional test failures if zeromq has the draft api enabled, but pyzmq has it disabled.
+DEPEND="
+ >=net-libs/zeromq-4.2.2-r2:=[drafts=]
+"
+# It uses cffi backend for pypy, cython backend for cpython
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/cython-3.0.0[${PYTHON_USEDEP}]
+ ' 'python*')
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ >=dev-python/tornado-5.0.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+# TODO: Package enum_tools
+# distutils_enable_sphinx docs/source \
+# dev-python/numpydoc \
+# dev-python/sphinx-rtd-theme \
+# dev-python/myst-parser
+
+src_configure() {
+ DISTUTILS_ARGS=(
+ -DZMQ_DRAFT_API="$(usex drafts)"
+ -DPYZMQ_NO_BUNDLE=ON
+ # unnecessarily adds /usr/lib* to rpath
+ -DPYZMQ_LIBZMQ_RPATH=OFF
+ )
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # often crashes zmq?
+ tests/test_log.py::TestPubLog
+ )
+ local EPYTEST_IGNORE=(
+ # Avoid dependency on mypy
+ tests/test_mypy.py
+ )
+
+ case ${EPYTHON} in
+ pypy3*)
+ EPYTEST_DESELECT+=(
+ # not implemented in cffi variant?
+ tests/test_draft.py::TestDraftSockets
+ )
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ rm -rf zmq || die
+ # avoid large to reduce memory consumption
+ epytest -p asyncio -p rerunfailures tests -m "not large"
+}
diff --git a/dev-python/segno/Manifest b/dev-python/segno/Manifest
index a847cbb2a91b..6f5635706bb0 100644
--- a/dev-python/segno/Manifest
+++ b/dev-python/segno/Manifest
@@ -1,2 +1,3 @@
DIST segno-1.6.1.gh.tar.gz 1631683 BLAKE2B 3e656660c97e190d9a9576347728d9934166b84c09974309ba422ddfcd5edc2b2d99fac53f4c87d94ff21b39a88a73753583a7f98edee1acbc323e734eddbf6a SHA512 266f64cee466105851bb567254e87d45f557d00ded0bb089edeafb68a71dbf686a72217ef471a3f82e68566103599180c7391d1effad65c73a1ea3355f59d72b
DIST segno-1.6.5.tar.gz 1628535 BLAKE2B 4106cc1032969520c18e3e9df355b6af9b4509288f172866f285b137422ceddc8ddc0f630990e6a670259c76fbae4bdcf31e32459ec28df96ce947ea2693f3bc SHA512 14d1a78d9f7a8ad2b33258b7d427849dd1f1d8f57731be489a6dd06294c64a1c60dfad49d81203d5a189f028c9ca14c5f0175be82be5bd97939747184d7c28d2
+DIST segno-1.6.6.tar.gz 1628586 BLAKE2B 41f3739485bd4177d8d47269b246ac12ff765acec78f088c0329a1b0fa58f86c2fcc4273113ef3743c28df21013abe5abd3449ed7e1802464de7357b9c0af1b4 SHA512 2d4a847c97694e04115a2f18a74c36986e3b024e8e16a8295f0c4b3047e8d984c64d867207a0ec755731808f5c07ceb2865cdc14fa31e87618d3f566dc44b69d
diff --git a/dev-python/segno/segno-1.6.6.ebuild b/dev-python/segno/segno-1.6.6.ebuild
new file mode 100644
index 000000000000..844e43d0d0f3
--- /dev/null
+++ b/dev-python/segno/segno-1.6.6.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python QR Code and Micro QR Code encoder"
+HOMEPAGE="
+ https://pypi.org/project/segno/
+ https://github.com/heuer/segno/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pypng[${PYTHON_USEDEP}]
+ dev-python/pyzbar[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires qrcode-artistic
+ tests/test_plugin.py::test_plugin
+)
diff --git a/dev-python/types-setuptools/Manifest b/dev-python/types-setuptools/Manifest
index 2302b556a281..ff227a8c5bc4 100644
--- a/dev-python/types-setuptools/Manifest
+++ b/dev-python/types-setuptools/Manifest
@@ -1,3 +1,4 @@
DIST types_setuptools-75.8.0.20250225.tar.gz 48448 BLAKE2B dd7ea2540369df155f466c8d0b5f8b01070c1a6824ca21eff68f6a44506fb6bd2c98d4609eb9247dd0f42cbf831c2ed093f2d2aac3e81094626e734d6bbdaa9e SHA512 12d8b695c2cf4655c7cab771eac4a0e11253ed6b1d4b6c5dc57fa23c5eb6f6e365bb674ad84cdfde7d77b2128eca28c9f4f5f9f68c6d559e63e5c2d9e445949a
DIST types_setuptools-75.8.2.20250301.tar.gz 48468 BLAKE2B c880369fc2545a8b3762cce89f3d441d8576f5a74f77eb14fb5772b7528d7f6ea8e6590e2b9d49a9311d20d45ea98ae1889cd828d7e2795e7680e6c58c248fce SHA512 60261095cae1f3f3ca26981ee4f914d9d5aca7f5ed62318180655ce062b8397b3808ae2dad0b423c5e30832509909a1e8267e4c47c96366ac75b491fb18f8b58
DIST types_setuptools-75.8.2.20250305.tar.gz 42609 BLAKE2B b54727f3dfd7ee554c35052b9edd2b598cd13b78de6fbf30fc2e95d3c01557e4e612869dd81828f52e982b4ac17a188bfd1c5c49f44e3ce00db019a3624bda40 SHA512 610b26a0dce431815858a2ed89a1be32127916d6b6aa9e4fa38aee45d5f416780a7ef38dcba5dd97f7e3958b580950dc2cbb75378d69cf1e6d611fbc7d00a526
+DIST types_setuptools-76.0.0.20250313.tar.gz 43627 BLAKE2B 49a7f30037b7a8a43a53d257b6af29270e965138bb020673fc8d33b609a10354371d750adf65de1fb3de8c622d51e7d7d0cd7ee222f368f76282a994eac7d179 SHA512 7aeb6d5db438a0c5f30aa410717a0cd8a78e7d7540aec03fbc1962618e47495b25e7d17fd5eb59d263b4913862838b7d698dc3d8ee63dc1268f41782c40fa349
diff --git a/dev-python/types-setuptools/types-setuptools-76.0.0.20250313.ebuild b/dev-python/types-setuptools/types-setuptools-76.0.0.20250313.ebuild
new file mode 100644
index 000000000000..4d6bfa0439df
--- /dev/null
+++ b/dev-python/types-setuptools/types-setuptools-76.0.0.20250313.ebuild
@@ -0,0 +1,16 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typing stubs for setuptools"
+HOMEPAGE="https://pypi.org/project/types-setuptools/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
diff --git a/dev-python/wrapt/Manifest b/dev-python/wrapt/Manifest
index 03c8ffe64f7b..29eb5c2f8689 100644
--- a/dev-python/wrapt/Manifest
+++ b/dev-python/wrapt/Manifest
@@ -1,3 +1 @@
-DIST wrapt-1.17.0.gh.tar.gz 140517 BLAKE2B 0aa883d31cac6a72c18b48a03e3ba18326d2b6f71ab241a9c772a58662011c706db2526d3459b4d5c7017f911cdc9e2518b52abefae7239cc38ee635d47a46ba SHA512 b552676a9c41c2feadf9eeab78c011bcc068f6b160d5d91aa6afc8b880abaaf8f170071e8eb03811959d3510cb19cb8fcc0db41a3c4e7eb6c92cf04882d9c0d2
-DIST wrapt-1.17.1.gh.tar.gz 140610 BLAKE2B 9e556a06094eb81853685632a311b9accf05d39979e4bdc66eb7a4560dad7ffb253239eb51ef9545f689e6eec6c80de2e6ee12747068c28dd3dae1a9b4bf6784 SHA512 b73f60c9ea0dae9bb0009b2f0d4149001645e4e2940bcd36d867fb44cb9b68cd7e726fb3c2d8d4345da44ff626dd2a457edbd527d46291ea030e13828fe68506
DIST wrapt-1.17.2.gh.tar.gz 140660 BLAKE2B 58e9da7bb250a614717d18a20c61a0f6f45e77aa9c90e13be21e8e4094a1d24516d6388e15997cbbca296abb976bac0ce42f720f74fe4946d000dd570bca0da4 SHA512 12a6e610f180ce34a7edad39225b54f62d58d487e8b3379321e00e0d0c1b265a5a570de15ec5e5a6b38748052617dbb486f802ae924ab48b51b3ccd40d1170bf
diff --git a/dev-python/wrapt/wrapt-1.17.0.ebuild b/dev-python/wrapt/wrapt-1.17.0.ebuild
deleted file mode 100644
index 682de42accbc..000000000000
--- a/dev-python/wrapt/wrapt-1.17.0.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
-
-inherit distutils-r1
-
-MY_P=${P/_}
-DESCRIPTION="Module for decorators, wrappers and monkey patching"
-HOMEPAGE="
- https://github.com/GrahamDumpleton/wrapt/
- https://pypi.org/project/wrapt/
-"
-SRC_URI="
- https://github.com/GrahamDumpleton/wrapt/archive/${PV/_}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
-IUSE="+native-extensions"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs dev-python/sphinx-rtd-theme
-
-python_compile() {
- local -x WRAPT_INSTALL_EXTENSIONS=$(usex native-extensions true false)
- distutils-r1_python_compile
-}
-
-python_test() {
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest
-}
diff --git a/dev-python/wrapt/wrapt-1.17.1.ebuild b/dev-python/wrapt/wrapt-1.17.1.ebuild
deleted file mode 100644
index 57b635871d4b..000000000000
--- a/dev-python/wrapt/wrapt-1.17.1.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
-
-inherit distutils-r1
-
-MY_P=${P/_}
-DESCRIPTION="Module for decorators, wrappers and monkey patching"
-HOMEPAGE="
- https://github.com/GrahamDumpleton/wrapt/
- https://pypi.org/project/wrapt/
-"
-SRC_URI="
- https://github.com/GrahamDumpleton/wrapt/archive/${PV/_}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
-IUSE="+native-extensions"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs dev-python/sphinx-rtd-theme
-
-python_compile() {
- local -x WRAPT_INSTALL_EXTENSIONS=$(usex native-extensions true false)
- distutils-r1_python_compile
-}
-
-python_test() {
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest
-}